Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Query Parameters

after
string

Returns the elements in the list that come after the specified cursor.

before
string

Returns the elements in the list that come before the specified cursor.

first
integer

Returns the first n elements from the list.

Example:

42

last
integer

Returns the last n elements from the list.

Example:

42

company_id
string
required

The unique identifier of the company to list waitlist entries for.

Example:

"biz_xxxxxxxxxxxxxx"

direction
enum<string>

The sort direction for results. Defaults to descending.

Available options:
asc,
desc
order
enum<string>

The column to sort waitlist entries by. Defaults to creation date.

Available options:
id,
created_at
product_ids
string[]

Filter entries to only those for specific products.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

plan_ids
string[]

Filter entries to only those for specific plans.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

statuses
enum<string>[]

Filter entries by their current status.

The status of an entry to a waitlist.

Available options:
drafted,
pending,
approved,
denied,
any
created_before
string<date-time>

Only return entries created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time>

Only return entries created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

Response

A successful response

The connection type for PublicEntry.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.